Subject: mrouted config

From: Dave Pascoe <[email-masked]>
Date: Sat, 28 Dec 1996 22:42:24 -0500 (EST)

I need a little help with my MBONE tunnel config....the problem is that
lately I've been turning mrouted on and off due to it swamping the mrouter
machine.  Also, I've been getting swamped with multicast traffic despite
there being no subscribed receivers on my network.

When mrouted is running my T1 utilization (for inbound traffic) is approx.
25% (of T1 bandwidth).  I can remember running mrouted and never seeing
utilization this high...even several months ago.

Details follow.....any help will be appreciated.

-dave

---
Machine: Sun SPARCstation 2 running SunOS 4.1.3+patches
         32MB RAM

MBONE tunnel to MBONE3.UU.NET

mbone>mrinfo mbone.mathworks.com
ld.so: warning: /usr/lib/libc.so.1.8.1 has older revision than expected 9
144.212.4.10 (gate.mathworks.com) [version 3.8,prune,genid,mtrace]:
  144.212.4.10 -> 0.0.0.0 (local) [1/1/querier/leaf]
  144.212.100.15 -> 144.212.100.1 (144.212.100.1) [1/1]
  144.212.4.10 -> 137.39.229.98 (MBONE3.UU.NET) [1/64/tunnel]

Many times I get tons of these during route updates (usually on
starting mrouted)....these thoroughly hose the Sun:

full<4>ip_mforward: ip_mrouter socket queue full<4>ip_mforward: ip_mrouter
socket queue full<4>ip_mforward: ip_mrouter socket queue full

Here's mrouted.conf:

#   Command formats:
#
#cache_lifetime 3600
pruning on
#
# phyint <local-addr> [disable] [metric <m>] [threshold <t>] [rate_limit
#                         [boundary <scoped-addr>/<mask-len>]
# tunnel <local-addr> <remote-addr> [srcrt] [metric <m>] 
#                                      [threshold <t>] [rate_limit <b>]
#                         [boundary <scoped-addr>/<mask-len>]
#
#   NOTE: any phyint commands MUST precede any tunnel commands
#   NOTE: boundary commands may appear on a separate line 
#            (OTHER keywords must be on the same line as phyint or tunnel)
#   NOTE: the mask-len is the no. of leading 1's in the mask
#

#phyint 128.4.2.2 metric 1 threshold 16 boundary 239.2.0.0/16
#       boundary 239.5.8.0/24
phyint 144.212.100.15 metric 1 threshold 1
#tunnel 128.4.0.77 128.4.0.8 metric 3 rate_limit 500   # <-- EXAMPLE
#       boundary 239.2.3.3/16                       # 239.2.x.x is scoped
tunnel 144.212.4.10 137.39.229.98 metric 1 threshold 64